﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Styx;
using Styx.Plugins.PluginClass;
using Styx.WoWInternals;
using Styx.Helpers;

namespace ShutDown
{
    public class Class1 : HBPlugin
    {

        public  override string Author { get { return "Zapman"; } }
        public override Version Version { get { return new Version(1, 0, 0, 0); } }
        public override string Name { get { return "Close When X Level"; } }
        private bool hasBeenInitialized = false;

        //Settings
        private int levelToClose = 2;

        public void Initialize()
        {
            Logging.Write("Initializing");
            Styx.BotEvents.Player.OnLevelUp += new BotEvents.Player.LevelUpDelegate(Player_OnLevelUp);
        }

        public void Player_OnLevelUp(Styx.BotEvents.Player.LevelUpEventArgs arg)
        {
            Logging.Write("Character has reached a new level! Level = " + arg.NewLevel.ToString());

            if (arg.NewLevel == levelToClose)
            {
                Lua.DoString("ForceQuit()");
            }
        }

        public override void Pulse()
        {
            if (!hasBeenInitialized)
            {
                Initialize();
                hasBeenInitialized = true;
            }
        }
    }
}
